Assign reviewers to users
Assigns and replaces reviewers in bulk for users in mission and coaching session modules.
Prerequisites
- Authentication and setup: A valid access token.
- Invite users to a module: Each user must already be invited to the module.
Endpoint
Section titled “Endpoint”POST /services/data/v4.0/mtobjects/Series/SERIES_ID/Module/MODULE_ID/ReviewersReplace SERIES_ID and MODULE_ID with the Mindtickle IDs of the series and the module.
Base URL: the standard REST host for your region. See Base URLs.
Headers: Authorization: Bearer ACCESS_TOKEN, Content-Type: application/json.
Path parameters
Section titled “Path parameters”| Parameter | Type | Required | Description |
|---|---|---|---|
SERIES_ID |
string | Required | Mindtickle ID of the series. |
MODULE_ID |
string | Required | Mindtickle ID of the module. |
Request
Section titled “Request”This endpoint assigns human reviewers only. AI or Copilot reviewers cannot be assigned through a public API.
Before changing reviewers on a completed mission review, see Completed reviews.
This endpoint does not have any query parameters.
| Parameter | Type | Required | Description |
|---|---|---|---|
learnerReviewers |
Array[UserReviewer] | Not specified | For assigning reviewers to one or more users. |
learnerReviewers[].userId |
string | Not specified | Mindtickle ID of the user to whom you want to assign reviewers. |
learnerReviewers[].reviewers |
Array[Reviewer] | Not specified | Reviewers that you want to assign to the user. |
learnerReviewers[].reviewers[].id |
string | Not specified | Mindtickle ID of the reviewer. |
learnerReviewers[].reviewers[].index |
integer | Not specified | Reviewer’s index. Define who is Reviewer 1, Reviewer 2, and so on. |
Request example
Section titled “Request example”{ "learnerReviewers": [ { "userId": "123456789abcd101", "reviewers": [ { "id": "123456789abcd102", "index": 1 } ] }, { "userId": "123456789abcd103", "reviewers": [ { "id": "123456789abcd104", "index": 3 }, { "id": "123456789abcd105", "index": 2 } ] } ]}Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
processId |
string | Mindtickle process ID. Use it to check the status of a request. |
Response example
Section titled “Response example”{ "processId": "1234567890123456106"}Errors
Section titled “Errors”| Error | Reason |
|---|---|
| Invalid body | Request body invalid. |
| Empty body | Request body cannot be empty. |
| User or reviewer is not found or inactive | The response returns userId: followed by the list of IDs that were not found. |
- Async processing: The assignment is applied asynchronously, and the response returns a process ID you use to check the result.
- Peers: You can assign a user’s peers as reviewers.
- Precedence: The reviewer assigned through the API takes precedence over the reviewer appointment method defined in module settings, so you can also use the API to replace reviewers. For example, if the appointment method in a coaching session module’s settings is set to appoint the manager as reviewer and you define a non-manager as the reviewer in the API, the reviewer specified in the API overrides the reviewer configured through module settings.
- Reviewer index: The index is especially helpful when you are replacing reviewers and want to make sure that you are replacing the correct reviewers against those configured through the reviewer appointment method in module settings.
- Supported modules: This API supports only mission and coaching session modules. It does not support removal of reviewers.
- Limits: For a particular module, a maximum of 100 users and 5 reviewers per user are supported in a single request.
- Completed reviews: Confirm with Mindtickle Support whether a reviewer can be added to a completed mission review before submitting the request. Do not replace reviewers after a mission review is completed. For closed coaching sessions, you cannot replace reviewers.
- Self review: For coaching sessions, the API does not support learner self review.
- Invitations: You cannot assign a reviewer to a user who is not invited to the module. Module invitation is not handled through this API, and no error message is displayed if the learner is not invited to the module.